/* =========================
START LOGO BOX
========================= */

.logoWrap{

position:absolute;

top:10px;

/* BODY SE TOUCH NA HO */

left:10px;

bottom:auto !important;

right:auto !important;




width:160px;

height:115px;




z-index:120;




overflow:hidden;

background:none;

}




/* =========================
PREMIUM HARD WHITE GLASS BOX
========================= */

.logoWrap::before{

content:"";

position:absolute;




left:0;

top:0;




width:100%;

height:100%;




/* HARD WHITE BG */

background:

linear-gradient(

135deg,

rgba(255,255,255,.98),

rgba(245,245,245,.96),

rgba(255,255,255,.98)

);




backdrop-filter:

blur(18px) saturate(180%);

-webkit-backdrop-filter:

blur(18px) saturate(180%);




border:

1px solid rgba(255,255,255,.75);




box-shadow:

0 8px 24px rgba(0,0,0,.22);




z-index:0;




pointer-events:none;

}




/* GLASS SHINE */

.logoWrap::after{

content:"";

position:absolute;

top:0;

left:-120%;




width:60%;

height:100%;




background:

linear-gradient(

90deg,

transparent,

rgba(255,255,255,.82),

transparent

);




transform:

skewX(-25deg);




animation:

glassMove 4s linear infinite;




z-index:1;

}




/* =========================
LOGO
========================= */

.mainLogo{

position:absolute;




/* PERFECT CENTER */

top:50%;

left:50%;




width:200px;

height:200px;




transform:

translate(-50%,-50%);




object-fit:contain;

object-position:center;




display:block;

opacity:1;

visibility:visible;




background:none;




z-index:9999;




filter:

drop-shadow(0 0 5px rgba(255,255,255,.85))
drop-shadow(0 0 8px rgba(255,0,0,.22));




transform-style:preserve-3d;

backface-visibility:visible;

-webkit-backface-visibility:visible;




animation:

realGlobe 6s linear infinite;

}




@keyframes realGlobe{

0%{

transform:

translate(-50%,-50%)
rotateY(0deg);

}




100%{

transform:

translate(-50%,-50%)
rotateY(360deg);

}

}




@keyframes glassMove{

0%{

left:-120%;

}




100%{

left:150%;

}

}

/* =========================
END LOGO BOX
========================= */